[openstreetmap-website] Don't raise APIAlreadyDeletedError when deleting with if-unused (#858)

Matt Amos notifications at github.com
Tue Dec 16 09:45:47 UTC 2014


The point of these errors is to notify the client that its local state is out of date, so it makes me slightly uncomfortable to silence them.

Having said that, @bhousel is right: If the only "error" is trying to delete something that's already deleted, that's an idempotent operation and is only a "logical" conflict - not one which affects the meaning of the changeset. Of course, if the user's changeset contains items which really conflict then it will still, correctly, return an error.

So, while it looks like [the right fix](https://github.com/openstreetmap/iD/issues/1053) is also being worked on, I don't see an issue with merging this.

---
Reply to this email directly or view it on GitHub:
https://github.com/openstreetmap/openstreetmap-website/pull/858#issuecomment-67134471
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.openstreetmap.org/pipermail/rails-dev/attachments/20141216/177bb3ba/attachment.html>


More information about the rails-dev mailing list